Subject: Re: [bitcoin-dev] [BIP/Draft] BIP Acceptance Process

From: Martin Becze <[email-masked]>
Date: Fri, 4 Sep 2015 20:42:51 +0000

>> Let the market decide
How about Futarchy?

On Fri, Sep 4, 2015 at 8:31 PM, Peter Todd via bitcoin-dev <
[email-masked]> wrote:

> On Fri, Sep 04, 2015 at 01:13:18PM -0700, Andy Chase via bitcoin-dev wrote:
> > Thanks for your thoughts.
> >
> > My proposal isn't perfect for sure. There's likely much better ways to do
> > it. But to be clear what I'm trying to solve is basically this:
> >
> > Who makes high-level Bitcoin decisions? Miners, client devs, merchants,
> or
> > users? Let's set up a system where everyone has a say and clear
> acceptance
> > can be reached.
>
> It depends on a case-by-case basis.
>
> E.g. for soft-forks miners can do what they want with little ability for
> other parties to have a say. For non-consensus-related standards - e.g.
> address formats - it's quite possible for a BIP to be "accepted" even if
> only a small group of users use the standard. For hard-forks almost
> everyone is involved, though who can stop a fork isn't as well defined.
>
> IMO trying to "set up a system" in that kind of environment is silly,
> and likely to be a bureaucratic waste of time. Let the market decide, as
> has happened previously. If you're idea isn't getting acceptance, do a
> better job of convincing the people who need to adopt it that it is a
> good idea.
>
> No amount of words on paper will change the fact that we can't force
> people to run software they don't want to run. The entire formal part of
> the BIP process is simply a convenience so we have clear, short, numbers
> that we can refer to when discussing ideas and standards. The rest of
> the process - e.g. what Adam Back and others have been referring to when
> attempting to dissuade Hearn and Andresen - is by definition always
> going to be a fuzzy, situation-specific, and generally undefined
> process.
>
> Or put another way, even if you did create your proposed process, the
> first time those committees "approved" a BIP that relevant stakeholders
> disagreed with, you'd find out pretty quickly that "clear acceptance" of
> your 4% sample would fall apart the moment the other 96% realized what a
> tiny minority was intending to do. Particularly if it was one of the
> inhernet cases where the underlying math means a particular group - like
> miners - has the ability to override what another group wants out of
> Bitcoin.
>
> --
> 'peter'[:-1]@petertodd.org
> 000000000000000010f9e95aff6454fedb9d0a4b92a4108e9449c507936f9f18
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>
>